#include "DFRobotDFPlayerMini.h"
#include <SoftwareSerial.h>

SoftwareSerial softSerial(/*rx =*/11, /*tx =*/12);

DFRobotDFPlayerMini DFPlayer;

void setup()
{
  softSerial.begin(9600);

  Serial.begin(115200);

  Serial.println();
  Serial.println(F("DFRobot DFPlayer Mini Demo"));
  Serial.println(F("Initializing DFPlayer ... (May take 3~5 seconds)"));

  if (!DFPlayer.begin(softSerial, /*isACK = */true, /*doReset = */true)) {  //Use serial to communicate with mp3.
    Serial.println(F("Unable to begin:"));
    Serial.println(F("1.Please recheck the connection!"));
    Serial.println(F("2.Please insert the SD card!"));
    while(true){
      delay(0); // Code to compatible with ESP8266 watch dog.
    }
  }
  Serial.println(F("DFPlayer Mini online."));

  DFPlayer.volume(100);  //Set volume value. From 0 to 30
  DFPlayer.play(4);  //Play the first mp3
}

void loop()
{
  static unsigned long timer = millis();

  if (millis() - timer > 5000) {
    timer = millis();
//    DFPlayer.next();  //Play next mp3 every 5 second.
    Serial.println("Next...");
  }

  if (DFPlayer.available()) {
    Serial.println(DFPlayer.read()); //Print the detail message from DFPlayer to handle different errors and states.
  }
}
